bdi4jade.event

## Class BeliefEvent

- java.lang.Object
- - bdi4jade.event.BeliefEvent

- All Implemented Interfaces:
    jade.content.AgentAction, jade.content.Concept, jade.content.ContentElement, jade.content.Term, java.io.Serializable

      public class BeliefEvent
      extends java.lang.Object
      implements jade.content.AgentAction

  This class represents an event performed over a belief.
  Author:
    Ingrid Nunes
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BeliefEvent.Action` This enumeration represents the set of possible actions that can be performed over a belief.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeliefEvent()` Default constructor.
    `BeliefEvent(Belief<?,?> belief)` Creates a belief event.
    `BeliefEvent(Belief<?,?> belief, BeliefEvent.Action action)` Creates a belief event.
    `BeliefEvent(Belief<?,?> belief, BeliefEvent.Action action, java.lang.Object args)` Creates a belief event.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BeliefEvent.Action` | `getAction()` Returns the action performed.
    `java.lang.Object` | `getArgs()` Returns arguments associated with the action performed.
    `Belief<?,?>` | `getBelief()` Returns the belief over which the event has occurred.
    `void` | `setAction(BeliefEvent.Action action)` Sets the action performed.
    `void` | `setArgs(java.lang.Object args)` Sets the arguments associated with the action performed.
    `void` | `setBelief(Belief<?,?> belief)` Sets the belief over which the event has occurred.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BeliefEvent

          public BeliefEvent()

      Default constructor.

    - #### BeliefEvent

          public BeliefEvent(Belief<?,?> belief)

      Creates a belief event.
      Parameters:
        `belief` - the belief over which the event has occurred.

    - #### BeliefEvent

          public BeliefEvent(Belief<?,?> belief,
                             BeliefEvent.Action action)

      Creates a belief event.
      Parameters:
        `belief` - the belief over which the event has occurred.
        `action` - the action performed.

    - #### BeliefEvent

          public BeliefEvent(Belief<?,?> belief,
                             BeliefEvent.Action action,
                             java.lang.Object args)

      Creates a belief event.
      Parameters:
        `belief` - the belief over which the event has occurred.
        `action` - the action performed.
        `args` - an argument passed for this action.

  - ### Method Detail

    - #### getAction

          public BeliefEvent.Action getAction()

      Returns the action performed.
      Returns:
        the action

    - #### getArgs

          public java.lang.Object getArgs()

      Returns arguments associated with the action performed.
      Returns:
        the args

    - #### getBelief

          public Belief<?,?> getBelief()

      Returns the belief over which the event has occurred.
      Returns:
        the belief

    - #### setAction

          public void setAction(BeliefEvent.Action action)

      Sets the action performed.
      Parameters:
        `action` - the action to set.

    - #### setArgs

          public void setArgs(java.lang.Object args)

      Sets the arguments associated with the action performed.
      Parameters:
        `args` - the args to set.

    - #### setBelief

          public void setBelief(Belief<?,?> belief)

      Sets the belief over which the event has occurred.
      Parameters:
        `belief` - the belief to set.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`
      See Also:
        `Object.toString()`